About SSE2 issues one more time...

  • Hi. Often I have to use old hardware which lacks SSE2 instruction set, but which performance is enough to run modern browsers.

    The problem is that new Opera starting from some version won't even run on such processors, because it is compiled using SSE2 switch [and I don't think it really has some cool manual SSE2 optimizations).
    That's one of reasons why I'm still using Opera 12, and probably will need to look for another browser.

    So please, provide additional build without SSE2 requirements. I can even tell you how it can be disabled at IDE/compiler settings [^^], if that is a problem for you and reason why you still didn't cared to keep your product maximally compatible, as any good & skilled C/C++ desktop developers tries to do.

    As programmer I wonder of that trend from stupid industrial codemonkeys, making builds of their soft with SSE2-only, like there are no more old AMD processors in world (LOT OF THEM, just take a look a bit far from your office with newest Intel cores from top segment). Maybe you also officially dropped support of WinXP already, because your another marketing ass said that % of users with it lowering? Don't be such monkeys making shit from shit.

    Thanks for attention, your angry ukrainian Opera fan since 2000x.

  • So please, provide additional build without SSE2 requirements

    I'm afraid it won't happen.

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.